# $Revision: 1.3.2.2 $, $Date: 2003/04/11 15:15:22 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Mini
Summary:	XML::Mini - Perl implementation of the XML::Mini XML create/parse interface
Summary(pl):	XML::Mini - perlowa implementacja interfejsu tworzcego/analizujcego XML
Name:		perl-XML-Mini
Version:	1.2.8
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Mini is a set of Perl classes that allow you to access XML data
and create valid XML output with a tree-based hierarchy of elements.
The MiniXML API has both Perl and PHP implementations.

%description -l pl
XML::Mini to zbir klas Perla pozwalajcych na dostp do danych XML
oraz tworzenie poprawnego wyjcia w XML z drzewiast hierarchi
elementw. API MiniXML ma implementacje w Perlu i PHP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes 
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Mini.spec,v $
Revision 1.3.2.2  2003/04/11 15:15:22  ankry
- autoupdated to 1.2.8

Revision 1.3.2.1  2003/04/05 21:55:43  ankry
- ported to Ra
- added %doc

Revision 1.3  2003/03/27 19:57:14  qboosh
- pl

Revision 1.2  2003/03/17 00:04:23  radek
- oops... cosmetic fixes.

Revision 1.1  2003/03/17 00:00:02  radek
- new
